
/* This has to do with Bootstrap 4.1 adding logic to use popper additions.  We want to ignore that logic. */
/* TODO: Possible remove with future @ng-bootstrap. */
.dropdown-menu-right {
  right: 0 !important;
}

.dropdown-menu.show.max {
  width: max-content;
}

.dropdown-menu {
  @include themify($themes) {
    background-color: themed("dropdown-menu-background-color");
    color: themed("dropdown-menu-color");
  }
}

.dropdown-menu.active {
  @include themify($themes) {
    background-color: themed("selected-background");
  }
}

.dropdown-item {
  padding: 0.25rem 0.5rem;
}

.input-group {
  flex-wrap: nowrap;
}

ngb-datepicker div {
  display: block;
}

.card {
  background-color: transparent;
}

.card-header {
  min-height: 2rem;
  align-items: center;
}

.header, .card-header {
  @include themify($themes) {
    color: themed("header-text-color");
    background-color: themed("header-background-color");
  }

  box-shadow: 0px 1px 1px $greycool-dark;

  display: flex;
}

label {
  margin-bottom: 0;
}

/* Stop buttons from being way too big. */
.btn {
  display: flex;
  align-items: center;
  padding: 0.25rem 0.5rem;
}

.btn.btn-primary {
  @include themify($themes) {
    background: themed("btn-first");
    color: themed("btn-primary-color");
  }
}

/* TODO: Change these to proper btn theme names */
.btn.btn-link {
  @include themify($themes) {
    background: themed("btn-first");
    color: themed("btn-primary-color");
  }
}

.btn.dropdown-toggle {
  min-height: 2rem;
}

.btn.btn-icon {
  padding: 0.25rem 0.25rem;
  height: 2rem;
  width: 2rem;
}

.btn-green {
  background-color: #00cc00;
  border-color: green;
}

.btn-red {
  background-color: red;
  border-color: darkred;
}

.form-control {
  font-size: 1rem;
  height: 2rem;
  padding: 0 0.375rem;
}

.input-group-append, .input-group-prepend {
  height: 2rem;
}

.input-group-text {
  padding: .375rem .5rem;
}

/* NgbAccordion */
.accordion .card {
  padding: 0;
}

.accordion .card-header button {
  color: var(--white-lightest);
  flex-grow: 1;
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
  margin-bottom: 0;
}

.mat-input-container {
  width: 100%;
}

input, select {
  height: 2rem;
  font-size: 1rem;

  @include themify($themes) {
    color: themed("input-text-color");
  }
}

/** Nav Tabs **/
.nav-tabs {
  flex-wrap: nowrap;
}

.nav-tabs .nav-item {
  height: 2rem;
}

.nav-link {
  padding: 0;
  padding-left: 0.5rem;
}

.nav-tabs .nav-link {
  height: 2rem;
  font-size: 1rem;
  padding: 0.25rem 0.5rem;

  @include themify($themes) {
    background-color: themed("tab-background-color");
    color: themed("tab-color");
  }
}

.nav-tabs .nav-link.active {
  @include themify($themes) {
    background: themed("btn-first");
    color: themed("btn-primary-color");
  }
}

ngb-accordion {
  .card-header {
    padding: 0;
  }

  .card-header .btn {
    min-height: 2rem;
    border-radius: 0;
  }
}
